Categories:
  - Internet
License: MPL-2.0
WebSite: https://github.com/Catfriend1/syncthing-android/wiki
SourceCode: https://github.com/Catfriend1/syncthing-android-fdroid
IssueTracker: https://github.com/Catfriend1/syncthing-android/issues
Translation: https://www.transifex.com/catfriend1/syncthing-android-1
Changelog: https://github.com/Catfriend1/syncthing-android/releases
Liberapay: cf4friends

AutoName: Syncthing-Fork
Description: |-
    This is a fork of https://f-droid.org/packages/com.nutomic.syncthingandroid that brings major
    enhancements like:
    * Individual sync conditions can be applied per device and per folder
    * Recent changes UI, click to open files.
    * "Battery eater" problem is fixed.
    * Android 8 and 9 support.
    Syncthing replaces proprietary sync and cloud services with something open,
    trustworthy and decentralized. Your data is your data alone and you deserve to
    choose where it is stored, if it is shared with some third party and how it's
    transmitted over the Internet. Syncthing-Fork for Android is a wrapper for
    Syncthing that provides an Android UI instead of Syncthing's built-in Web UI.
    Goals of the fork:
    * Develop and try out enhancements together with the community.
    * Release the wrapper more frequently to identify and fix bugs caused by changes in the syncthing submodule
    * Make enhancements configurable in the UI, users should be able to turn them on and off
    Comparison between upstream and fork at the time of writing this:
    * Both contain the syncthing binary built from the official source at GitHub:syncthing/syncthing
    * Syncing functionality and reliability depends on the syncthing binary submodule version.
    * Fork gets along with upstream and sometimes they pick up my improvements.
    * Strategy and release frequency is different
    * Only the wrapper containing the Android UI is addressed by the fork.

RepoType: git
Repo: https://github.com/Catfriend1/syncthing-android-fdroid.git

Builds:
  - versionName: 0.14.50.rc2.6
    versionCode: 4154
    commit: v0.14.50.rc2.6
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.51.rc2.1
    versionCode: 4156
    commit: v0.14.51.rc2.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.51.rc3.2
    versionCode: 4158
    commit: v0.14.51.rc3.2
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.51.rc3.4
    versionCode: 4160
    commit: v0.14.51.rc3.4
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.51.rc3.5
    versionCode: 4161
    commit: v0.14.51.rc3.5
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.51.rc4.1
    versionCode: 4163
    commit: v0.14.51.rc4.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.51.1
    versionCode: 4164
    commit: v0.14.51.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.51.3
    versionCode: 4166
    commit: v0.14.51.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.51.4
    versionCode: 4167
    commit: v0.14.51.4
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.51.5
    versionCode: 4168
    commit: v0.14.51.5
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.51.6
    versionCode: 4169
    commit: v0.14.51.6
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.51.7
    versionCode: 4170
    commit: v0.14.51.7
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.51.8
    versionCode: 4171
    commit: v0.14.51.8
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.51.10
    versionCode: 4173
    commit: v0.14.51.10
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.51.12
    versionCode: 4175
    commit: v0.14.51.12
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.51.13
    versionCode: 4176
    commit: v0.14.51.13
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.52.1
    versionCode: 4177
    commit: v0.14.52.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.52.2
    versionCode: 4178
    commit: v0.14.52.2
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.53.1
    versionCode: 4179
    commit: v0.14.53.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.54.1
    versionCode: 4180
    commit: v0.14.54.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.54.2
    versionCode: 4181
    commit: v0.14.54.2
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.54.3
    versionCode: 4182
    commit: v0.14.54.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.54.4
    versionCode: 4183
    commit: v0.14.54.4
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.54.7
    versionCode: 145407
    commit: v0.14.54.7
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 0.14.54.9
    versionCode: 145409
    commit: v0.14.54.9
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 1.0.0.1
    versionCode: 1000001
    commit: v1.0.0.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 1.0.0.2
    versionCode: 1000002
    commit: v1.0.0.2
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 1.0.0.5
    versionCode: 1000005
    commit: v1.0.0.5
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 1.0.0.16
    versionCode: 1000016
    commit: v1.0.0.16
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 1.0.0.17
    versionCode: 1000017
    commit: v1.0.0.17
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 1.0.0.19
    versionCode: 1000019
    commit: v1.0.0.19
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 1.0.0.20
    versionCode: 1000020
    commit: v1.0.0.20
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 1.0.1.2
    versionCode: 1000102
    commit: v1.0.1.2
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 1.0.1.3
    versionCode: 1000103
    commit: v1.0.1.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 1.0.1.4
    versionCode: 1000104
    commit: v1.0.1.4
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 1.0.1.8
    versionCode: 1000108
    commit: v1.0.1.8
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.9.7.linux-amd64.tar.gz
      - echo '88573008f4f6233b81f81d8ccf92234b4f67238df0f0ab173d75a302a1f3d6ee  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 1.0.1.9
    versionCode: 1000109
    commit: v1.0.1.9
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.11.4.linux-amd64.tar.gz
      - echo 'fb26c30e6a04ad937bbc657a1b5bba92f80096af1e8ee6da6430c045a8db3a5b  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 1.1.0.1
    versionCode: 1010001
    commit: v1.1.0.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.11.4.linux-amd64.tar.gz
      - echo 'fb26c30e6a04ad937bbc657a1b5bba92f80096af1e8ee6da6430c045a8db3a5b  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 1.1.0.3
    versionCode: 1010003
    commit: v1.1.0.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.11.4.linux-amd64.tar.gz
      - echo 'fb26c30e6a04ad937bbc657a1b5bba92f80096af1e8ee6da6430c045a8db3a5b  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 1.1.0.4
    versionCode: 1010004
    commit: v1.1.0.4
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.11.4.linux-amd64.tar.gz
      - echo 'fb26c30e6a04ad937bbc657a1b5bba92f80096af1e8ee6da6430c045a8db3a5b  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r15c

  - versionName: 1.1.0.7
    versionCode: 1010007
    commit: v1.1.0.7
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.11.4.linux-amd64.tar.gz
      - echo 'fb26c30e6a04ad937bbc657a1b5bba92f80096af1e8ee6da6430c045a8db3a5b  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19b

  - versionName: 1.1.1.1
    versionCode: 1010101
    commit: v1.1.1.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.11.4.linux-amd64.tar.gz
      - echo 'fb26c30e6a04ad937bbc657a1b5bba92f80096af1e8ee6da6430c045a8db3a5b  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19b

  - versionName: 1.1.1.2
    versionCode: 1010102
    commit: v1.1.1.2
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.11.4.linux-amd64.tar.gz
      - echo 'fb26c30e6a04ad937bbc657a1b5bba92f80096af1e8ee6da6430c045a8db3a5b  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.1.1.3
    versionCode: 1010103
    commit: v1.1.1.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.11.4.linux-amd64.tar.gz
      - echo 'fb26c30e6a04ad937bbc657a1b5bba92f80096af1e8ee6da6430c045a8db3a5b  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.1.3.1
    versionCode: 1010301
    commit: v1.1.3.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.11.4.linux-amd64.tar.gz
      - echo 'fb26c30e6a04ad937bbc657a1b5bba92f80096af1e8ee6da6430c045a8db3a5b  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.1.4.1
    versionCode: 1010401
    commit: v1.1.4.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.11.4.linux-amd64.tar.gz
      - echo 'fb26c30e6a04ad937bbc657a1b5bba92f80096af1e8ee6da6430c045a8db3a5b  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.2.0.8
    versionCode: 1020008
    commit: v1.2.0.8
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.12.1.linux-amd64.tar.gz
      - echo '2a3fdabf665496a0db5f41ec6af7a9b15a49fbe71a85a50ca38b1f13a103aeec  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.2.2.1
    versionCode: 1020201
    commit: v1.2.2.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.12.7.linux-amd64.tar.gz
      - echo '66d83bfb5a9ede000e33c6579a91a29e6b101829ad41fffb5c5bb6c900e109d9  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.2.2.3
    versionCode: 1020203
    commit: v1.2.2.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.2.2.4
    versionCode: 1020204
    commit: v1.2.2.4
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.3.0.2
    versionCode: 1030002
    commit: v1.3.0.2
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.3.0.4
    versionCode: 1030004
    commit: v1.3.0.4
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.3.0.5
    versionCode: 1030005
    commit: v1.3.0.5
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.3.1.2
    versionCode: 1030102
    commit: v1.3.1.2
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.3.1.4
    versionCode: 1030104
    commit: v1.3.1.4
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.3.1.5
    versionCode: 1030105
    commit: v1.3.1.5
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.3.2.0
    versionCode: 1030200
    commit: v1.3.2.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.3.2.1
    versionCode: 1030201
    commit: v1.3.2.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.3.2.2
    versionCode: 1030202
    commit: v1.3.2.2
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.3.2.4
    versionCode: 1030204
    commit: v1.3.2.4
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.3.3.4
    versionCode: 1030304
    commit: v1.3.3.4
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.3.4.0
    versionCode: 1030400
    commit: v1.3.4.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.4.0.4
    versionCode: 1040004
    commit: v1.4.0.4
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.4.2.0
    versionCode: 1040200
    commit: v1.4.2.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.4.2.3
    versionCode: 1040203
    commit: v1.4.2.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.6.0.0
    versionCode: 1060000
    commit: v1.6.0.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.6.0.3
    versionCode: 1060003
    commit: v1.6.0.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.6.0.4
    versionCode: 1060004
    commit: v1.6.0.4
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.7.0.0
    versionCode: 1070000
    commit: v1.7.0.0
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.8.0.0
    versionCode: 1080000
    commit: v1.8.0.0.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.8.0.1
    versionCode: 1080001
    commit: v1.8.0.1
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.8.0.2
    versionCode: 1080002
    commit: v1.8.0.2
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.8.0.3
    versionCode: 1080003
    commit: v1.8.0.3
    submodules: true
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    build:
      - wget -O go.tgz https://dl.google.com/go/go1.13.linux-amd64.tar.gz
      - echo '68a2297eb099d1a76097905a2ce334e3155004ec08cdea85f24527be3c48e856  go.tgz'
        | shasum -c -
      - tar xf go.tgz
      - PATH="$PWD/go/bin:$PATH" gradle buildNative
    ndk: r19c

  - versionName: 1.9.0.5
    versionCode: 1090005
    commit: v1.9.0.5
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r20b
    preassemble:
      - buildNative

  - versionName: 1.10.0.0
    versionCode: 1100000
    commit: v1.10.0.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r20b
    preassemble:
      - buildNative

  - versionName: 1.11.1.0
    versionCode: 1110100
    commit: v1.11.1.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r20b
    preassemble:
      - buildNative

  - versionName: 1.12.0.1
    versionCode: 1120001
    commit: v1.12.0.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r20b
    preassemble:
      - buildNative

  - versionName: 1.12.1.1
    versionCode: 1120101
    commit: v1.12.1.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r20b
    preassemble:
      - buildNative

  - versionName: 1.13.1.1
    versionCode: 1130101
    commit: v1.13.1.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r20b
    preassemble:
      - buildNative

  - versionName: 1.14.0.1
    versionCode: 1140001
    commit: v1.14.0.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r20b
    preassemble:
      - buildNative

  - versionName: 1.15.0.0
    versionCode: 1150000
    commit: v1.15.0.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r21e
    preassemble:
      - buildNative

  - versionName: 1.15.1.0
    versionCode: 1150100
    commit: v1.15.1.0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r21e
    preassemble:
      - buildNative

  - versionName: 1.16.0.1
    versionCode: 1160001
    commit: v1.16.0.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r21e
    preassemble:
      - buildNative

  - versionName: 1.16.0.5
    versionCode: 1160005
    commit: v1.16.0.5
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r21e
    preassemble:
      - buildNative

  - versionName: 1.16.0.6
    versionCode: 1160006
    commit: v1.16.0.6
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r21e
    preassemble:
      - buildNative

  - versionName: 1.18.0.0
    versionCode: 1180000
    commit: 68fa5a0891bce27b5bb81e2bd39021ec36c7c870
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r21e
    preassemble:
      - buildNative

  - versionName: 1.18.1.0
    versionCode: 1180100
    commit: 18489083dcda57477917320e94d4861cb1145bb9
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r21e
    preassemble:
      - buildNative

  - versionName: 1.18.2.0
    versionCode: 1180200
    commit: 7510bd22fc2dfc8c3065a4ff84b113e888bb658d
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y -t testing golang-go
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    ndk: r21e
    preassemble:
      - buildNative

  - versionName: 1.18.2.1
    versionCode: 1180201
    commit: f13ae5bc835ed4e84b951eb9aa00ebc9690eb0ec
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    preassemble:
      - buildNative

  - versionName: 1.18.4.0
    versionCode: 1180400
    commit: 72f9ea6175812748daa67d992de178c3bc3d5433
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    preassemble:
      - buildNative

  - versionName: 1.18.5.0
    versionCode: 1180500
    commit: bb13d85b69c1a53a90a0909aba1b47b00879f36d
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild: sed -i -e '/signingConfig/d' app/build.gradle
    preassemble:
      - buildNative

  - versionName: 1.18.6.0
    versionCode: 1180600
    commit: c86fec5b4aa7146977315478bc20f2fce1ae74eb
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild:
      - sed -i -e '/signingConfig/d' app/build.gradle
      - echo 'org.gradle.jvmargs=-Xmx4096m' >> gradle.properties
    preassemble:
      - buildNative

  - versionName: 1.19.0.0
    versionCode: 1190000
    commit: ab39748a945ae935dc45fb5feec04c0c916f9270
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild:
      - sed -i -e '/signingConfig/d' app/build.gradle
      - echo 'org.gradle.jvmargs=-Xmx4096m' >> gradle.properties
    preassemble:
      - buildNative

  - versionName: 1.19.1.0
    versionCode: 1190100
    commit: 45cd65bf8555899bf4b18067636bfd22e14d1bf4
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild:
      - sed -i -e '/signingConfig/d' app/build.gradle
      - echo 'org.gradle.jvmargs=-Xmx4096m' >> gradle.properties
    preassemble:
      - buildNative

  - versionName: 1.19.1.1
    versionCode: 1190101
    commit: 8d55c51cfb38f23ea1aea7a334418002759ae32b
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild:
      - sed -i -e '/signingConfig/d' app/build.gradle
      - echo 'org.gradle.jvmargs=-Xmx4096m' >> gradle.properties
    preassemble:
      - buildNative

  - versionName: 1.20.3.0
    versionCode: 1200300
    commit: 6f63d3c6d12eabfc2a2db8a2b251c581f6d0417d
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild:
      - sed -i -e '/signingConfig/d' app/build.gradle
      - echo 'org.gradle.jvmargs=-Xmx4096m' >> gradle.properties
    preassemble:
      - buildNative

  - versionName: 1.20.3.1
    versionCode: 1200301
    commit: db97d39b3afd7ea8d0a50026ff4beb6439ffafe0
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild:
      - sed -i -e '/signingConfig/d' app/build.gradle
      - echo 'org.gradle.jvmargs=-Xmx4096m' >> gradle.properties
    preassemble:
      - buildNative

  - versionName: 1.21.0.0
    versionCode: 1210000
    commit: 1576568fbd6a84a4b5892ab440880a7346d160e2
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild:
      - sed -i -e '/signingConfig/d' app/build.gradle
      - echo 'org.gradle.jvmargs=-Xmx4096m' >> gradle.properties
    preassemble:
      - buildNative

  - versionName: 1.21.0.1
    versionCode: 1210001
    commit: f36878f9b9e406935456c8581533bc650e738c4d
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild:
      - sed -i -e '/signingConfig/d' app/build.gradle
      - echo 'org.gradle.jvmargs=-Xmx4096m' >> gradle.properties
    preassemble:
      - buildNative

  - versionName: 1.21.0.2
    versionCode: 1210002
    commit: 1f1d5acc68353de8d08cdb15b3cc927650198d13
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/app-release-unsigned.apk
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild:
      - sed -i -e '/signingConfig/d' app/build.gradle
      - echo 'org.gradle.jvmargs=-Xmx4096m' >> gradle.properties
    preassemble:
      - buildNative

  - versionName: 1.21.0.3
    versionCode: 1210003
    commit: cd36410b83fda620ffe56b02711e5120489b88ff
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild:
      - sed -i -e '/signingConfig/d' build.gradle
      - sed -i -e '/executable/s/python/python3/' {../syncthing,.}/build.gradle
      - echo 'org.gradle.jvmargs=-Xmx4096m' >> ../gradle.properties
    preassemble:
      - :syncthing:buildNative

  - versionName: 1.22.1.0
    versionCode: 1220100
    commit: 47e722ffb8ff70a667741430c06b3d52acde3934
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild:
      - sed -i -e '/signingConfig/d' build.gradle
      - sed -i -e '/executable/s/python/python3/' {../syncthing,.}/build.gradle
      - echo 'org.gradle.jvmargs=-Xmx4096m' >> ../gradle.properties
    preassemble:
      - :syncthing:buildNative

  - versionName: 1.22.2.0
    versionCode: 1220200
    commit: 069ea8d40fbee68a38c7a29ee3f16e7bb67f872c
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild:
      - sed -i -e '/signingConfig/d' build.gradle
      - sed -i -e '/executable/s/python/python3/' {../syncthing,.}/build.gradle
      - echo 'org.gradle.jvmargs=-Xmx4096m' >> ../gradle.properties
    preassemble:
      - :syncthing:buildNative

  - versionName: 1.22.2.2
    versionCode: 1220202
    commit: 00de6f3ed447e94f28f156e1259bd6d0866d0b9c
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild:
      - sed -i -e '/signingConfig/d' build.gradle
      - sed -i -e '/executable/s/python/python3/' {../syncthing,.}/build.gradle
      - echo 'org.gradle.jvmargs=-Xmx4096m' >> ../gradle.properties
    preassemble:
      - :syncthing:buildNative

  - versionName: 1.23.0.0
    versionCode: 1230000
    commit: 6316f4ad24ae152ea2c5471c7e2dcfedbeea12ca
    subdir: app
    submodules: true
    gradle:
      - yes
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild:
      - sed -i -e '/signingConfig/d' build.gradle
      - sed -i -e '/executable/s/python/python3/' {../syncthing,.}/build.gradle
      - echo 'org.gradle.jvmargs=-Xmx4096m' >> ../gradle.properties
    preassemble:
      - :syncthing:buildNative

  - versionName: 1.23.2.2
    versionCode: 1230202
    commit: 6c1967dc34c99f722dad953419b0bff0202c26ab
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc libc6-dev
    gradle:
      - yes
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild:
      - sed -i -e '/signingConfig/d' build.gradle
      - sed -i -e '/executable/s/python/python3/' {../syncthing,.}/build.gradle
      - echo 'org.gradle.jvmargs=-Xmx4096m' >> ../gradle.properties
    preassemble:
      - :syncthing:buildNative

  - versionName: 1.23.5.0
    versionCode: 1230500
    commit: 4ec121a170bf27e112ffcb74278ffd28173fada8
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc libc6-dev
    gradle:
      - yes
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild:
      - sed -i -e '/signingConfig/d' build.gradle
      - sed -i -e '/executable/s/python/python3/' {../syncthing,.}/build.gradle
      - echo 'org.gradle.jvmargs=-Xmx4096m' >> ../gradle.properties
    preassemble:
      - :syncthing:buildNative

  - versionName: 1.23.6.0
    versionCode: 1230600
    commit: 8b2d3e7f271daeecbc26e587ef619cc0877056ad
    subdir: app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc libc6-dev
    gradle:
      - yes
    rm:
      - syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    prebuild:
      - sed -i -e '/signingConfig/d' build.gradle
      - sed -i -e '/executable/s/python/python3/' {../syncthing,.}/build.gradle
      - echo 'org.gradle.jvmargs=-Xmx4096m' >> ../gradle.properties
    preassemble:
      - :syncthing:buildNative

MaintainerNotes: |-
    The submodule in syncthing/src/github.com/syncthing/syncthing must be
    pristine, as the version/release information is taken from git.
    The ignored directory
    syncthing/src/github.com/syncthing/syncthing/lib/model/testdata
    contains pre-generated data for testing and is thus not involved in the build
    process.

AutoUpdateMode: Version
UpdateCheckMode: Tags ^v[a-z0-9.]*$
CurrentVersion: 1.23.6.0
CurrentVersionCode: 1230600
